Conversations

Merge other conversations into this one

Merge other conversations into this one. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

POST
/conversation/{conversation_id}/merge

Merge other conversations into this one.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversation_id*string

Conversation identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/conversation/string/merge" \  -H "Content-Type: application/json" \  -d '{    "mergeable_conversation_ids": [      "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9"    ],    "include_notes": true,    "include_merge_summary": true  }'
{  "message": "string"}